body{
    background: var(--background);
}
.container{
    position: relative;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    /** media screen*/

    @media (min-width: 1200px) {
        width: 80%;
        margin: 0 auto;
    }
}
/** menu */
.container .menu{
    position: absolute;
    right: var(--space-lg);
    top: var(--space-md);
    background: var(--primary);
    color: var(--primary-light);
    width: 50px;
    height: 50px;
    border-radius: var(--radius-md);
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    display: none;
    /** media screen*/
    @media (max-width: 900px) {
        display: flex;
        
    }
}

.container .menu.search{
    right: 100px;
}
/** header */
header{
    height: var(--navbar-height);
    background: var(--background-secondary);
    display: flex;
    align-items: center;
    padding: 0 var(--space-lg);
    box-shadow: var(--shadow-sm);
    /** media screen*/
    @media (max-width: 900px) {
        flex-direction: column;
        align-items: flex-start;
        gap: var(--space-md);
        padding-top: var(--space-md);
        padding-bottom: var(--space-lg);
        padding-left: var(--space-xl);
        position: absolute;
        width: 50%;
        height: 100%;
        z-index: 100;
        /** display  */
        display: none;
    }
    @media (min-width: 1200px) {
        border-radius: var(--radius-lg);
    }
}

/** logo */
header .logo{
    display: flex;
    align-items: center;;
    gap: var(--space-sm);

    /**media screen  */
    @media (max-width: 900px) {
        flex-direction: column;
        margin-bottom: var(--space-md);
    }
}

header .logo .icon{
    background: var(--primary);
    color: var(--primary-light);
    width: 60px;
    height: 60px;
    border-radius: var(--radius-md);
    display: flex;
    align-items: center;
    justify-content: center;
}

header .logo .icon span{
    font-size: var(--fs-icons);
    padding: var(--space-sm);
}

/** nav */
header nav{
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    /** media screen*/
    @media (max-width: 900px) {
        position: static;
        transform: none;
    }

}
header nav ul{
    display: flex;
    align-items: center;
    gap: var( --space-xl);

    /** media screen*/
    @media (max-width: 900px) {
        flex-direction: column;
        align-items: flex-start;
        gap: var(--space-md);
    }
}

header nav ul li a{
    color: var(--text);
    font-size: var(--fs-body);
    padding-bottom: 2px;
    font-weight: var(--fw-medium);
}
header nav ul li a.active{
    color: var(--primary);
    border-bottom: 2px solid var(--primary);
}
header nav ul li a:hover{
    color: var(--primary);
    background: var(--background-hover);
}

/** main */
main{
    flex-grow: 1;
    margin-top: var(--space-lg);
    /** media screen*/
    @media (max-width: 900px){
        margin-top: var(--navbar-height);
    }
    @media (max-width: 1199px){
        padding: 0 var(--space-lg);
    }
}
/** search filter */

main .search-filter form{
    height: var(--search-filter-height);
    background: var(--background-accent);
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 var(--space-lg);
    margin-bottom: var(--space-lg);
    border-radius: var(--radius-sm);
    
    /** media screen*/
    @media (max-width: 600px){
        flex-direction: column;
        align-items: flex-start;
        gap: var(--space-md);
        height: fit-content;
        padding: var(--space-lg);
        
    }

    @media (max-width : 900px) {
        display: none;
    }
}

main .search-filter form .filter select{
    background: var(--background);
    border: 1px solid var(--border);
    padding: var(--space-sm);
    border-radius: var(--radius-sm);
    width: 150px;
}

main .search-filter form .search{
    position: relative;
    display: flex;
    align-items: center;
    gap: var(--space-sm);
    width: var(--input-width);
    height: var(--input-height);
}

main .search-filter form .search input{
    background: var(--background);
    border: 1px solid var(--border);
    padding: var(--space-sm);
    border-radius: var(--radius-sm);
    height: 100%;
    width: 100%;

    /** media screen*/
    @media (max-width: 600px){
        width: var(--input-width-mobile);
    }
}

main .search-filter form .search span{
    position: absolute;
    right: 15px;
    top: 50%;
    transform: translateY(-50%);

    cursor: pointer;
    
}

/** cards */



main .cards .card{
    position: relative;
    background: var(--card);
    box-shadow: var(--shadow-sm);
    border-radius: var(--radius-md);
    padding: var(--space-md);
    margin-bottom: var(--space-md);
    display: flex;
    align-items: center;
    justify-content: space-between;
    height: fit-content;
    cursor: pointer;

    /** media screen*/
    @media (max-width: 900px){
        position: relative;
        flex-direction: column;
        align-items: flex-start;
        padding-left: var(--space-xl);
        gap: var(--space-lg);
        height: fit-content;
       
    }
}

main .cards .card::before{
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    width: 5px;
    height: 100%;
    background: var(--accent);
    border-radius: var(--radius-sm) 0 0 var(--radius-sm);
}

main .cards .card:hover{
    box-shadow: var(--shadow-md);
}

/* title */
main .cards .card h2{

    font-size: var(--fs-h2);
    font-weight: var(--fw-bold);
    width: 40%;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    margin-right: var(--space-md);
    /** media screen*/
    @media (max-width: 900px){
        width: 100%;
    }


}

/* info card */
main .cards .card .info{
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    gap: var(--space-md);


   
}

main .cards .card .info h4{
    background-color: #FEE2E2;
    padding: var(--space-xs) var(--space-sm);
    border-radius: var(--radius-sm);
    color: #991B1B;
}

/* download button */
main .cards .card a {
      /** media screen*/
    @media (max-width: 900px){
        width: 50%;
    }

}
main .cards .card a .download{
    background: #D1FAE5;
    padding: var(--space-xs);
    border-radius: var(--radius-sm);
    font-size: var(--fs-small);
    font-weight: var(--fw-medium);
     /** media screen*/
    @media (max-width: 900px){
        
        display: flex;
        align-items: center;
        justify-content: center;
        position: relative;
    }
}

main .cards .card a .download:hover{
    background: var(--accent);
}

main .cards .card a .download:hover  span{
    color: var(--primary-light);
   
}

main .cards .card a .download  span{
    font-size: var(--fs-title);
    color:#065F46;
    
}

/**footer */
footer{
    height: fit-content;
    background: var(--background-secondary);
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    gap: var(--space-md);
    padding: var(--space-md);
    box-shadow: var(--shadow-sm);
    border-radius: var(--radius-lg);
    
}

footer .btn{
    background: var(--btn-primary-bg);
    padding: var(--space-sm) var(--space-md);
    border-radius: var(--radius-sm);
    cursor: pointer;
    color: var(--primary-light);
}

footer .btn.active{
    background: var(--accent);

}

